#include "platform/nrf52/InterruptHandler.h"
#include "platform/nrf52/InterruptGuardian.h"

using namespace pinetime::platform::nrf52;

InterruptGuardian::InterruptGuardian()
{
}

void InterruptGuardian::register_handler(Nrf52IrqN irq_nr, InterruptHandler &handler)
{
    this->nrf52_vector[irq_nr] = &handler;
}
